﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lwftp
{
    public class fileitem : IComparable<fileitem>
    {
        //  public enum Eitemtype : byte { directory, file }
        //  public Eitemtype itemtype { get; set; }  
        public string filename { get; set; }
        public string path { get; set; }
        public Int32 size { get; set; }
        public DateTime timestamp { get; set; }




        public int CompareTo(fileitem other)
        {
            return Comparer<DateTime>.Default.Compare(this.timestamp, other.timestamp);
            //   return Comparer.DefaultInvariant.Compare(this.name, other.name);
        }
    }

    public class ftpitem : fileitem { }

    public class ftpitems : List<ftpitem> { }

    public class fileitems : List<fileitem> { }


    public class EventLog : List<string>
    {


        public EventLog()
        {

            this.Add(String.Format("Started {0}", DateTime.Now));

        }

        public void addEvent(String line)
        {
            base.Add(String.Format("{0}: {1}", DateTime.Now, line));
        }

    }

}
